Class SimpleEndpoint<RequestT,ResponseT>
java.lang.Object
co.elastic.clients.transport.endpoints.EndpointBase<RequestT,ResponseT>
co.elastic.clients.transport.endpoints.SimpleEndpoint<RequestT,ResponseT>
- All Implemented Interfaces:
Endpoint<RequestT,,ResponseT, ErrorResponse> JsonEndpoint<RequestT,ResponseT, ErrorResponse>
- Direct Known Subclasses:
SimpleJsonEndpoint
public class SimpleEndpoint<RequestT,ResponseT>
extends EndpointBase<RequestT,ResponseT>
implements JsonEndpoint<RequestT,ResponseT,ErrorResponse>
-
Field Summary
Fields inherited from class co.elastic.clients.transport.endpoints.EndpointBase
body, headers, id, method, queryParameters, requestUrl -
Constructor Summary
ConstructorsConstructorDescriptionSimpleEndpoint(String id, Function<RequestT, String> method, Function<RequestT, String> requestUrl, Function<RequestT, Map<String, String>> queryParameters, Function<RequestT, Map<String, String>> headers, boolean hasResponseBody, JsonpDeserializer<ResponseT> responseParser) SimpleEndpoint(String id, Function<RequestT, String> method, Function<RequestT, String> requestUrl, Function<RequestT, Map<String, String>> queryParameters, Function<RequestT, Map<String, String>> headers, Function<RequestT, Object> body, JsonpDeserializer<ResponseT> responseParser) -
Method Summary
Modifier and TypeMethodDescriptionerrorDeserializer(int statusCode) The entity parser for the error response body.The entity parser for the response body.<NewResponseT>
SimpleEndpoint<RequestT,NewResponseT> withResponseDeserializer(JsonpDeserializer<NewResponseT> newResponseParser) Methods inherited from class co.elastic.clients.transport.endpoints.EndpointBase
body, emptyMap, headers, id, isError, method, noPathTemplateFound, pathEncode, queryParameters, requestUrlMethods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, waitMethods inherited from interface co.elastic.clients.transport.Endpoint
body, headers, id, isError, method, queryParameters, requestUrl, withBinaryResponse
-
Constructor Details
-
SimpleEndpoint
-
SimpleEndpoint
-
-
Method Details
-
responseDeserializer
Description copied from interface:JsonEndpointThe entity parser for the response body.- Specified by:
responseDeserializerin interfaceJsonEndpoint<RequestT,ResponseT, ErrorResponse>
-
errorDeserializer
Description copied from interface:EndpointThe entity parser for the error response body. Can benullto indicate that there's no error body.- Specified by:
errorDeserializerin interfaceEndpoint<RequestT,ResponseT, ErrorResponse> - Overrides:
errorDeserializerin classEndpointBase<RequestT,ResponseT>
-
withResponseDeserializer
public <NewResponseT> SimpleEndpoint<RequestT,NewResponseT> withResponseDeserializer(JsonpDeserializer<NewResponseT> newResponseParser) - Overrides:
withResponseDeserializerin classEndpointBase<RequestT,ResponseT>
-